Changeset 4886


Ignore:
Timestamp:
Nov 5, 2014, 1:23:17 AM (5 years ago)
Author:
Sam Hocevar
Message:

build: refresh build system.

Location:
zzuf/trunk
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • zzuf/trunk/bootstrap

    r2550 r4886  
    11#! /bin/sh
    2 # $Id: bootstrap 2005 2008-07-16 20:51:50Z sam $
    32
    43# bootstrap: generic bootstrap/autogen.sh script for autotools projects
    54#
    6 # Copyright (c) 2002-2008 Sam Hocevar <sam@zoy.org>
     5# Copyright (c) 2002-2014 Sam Hocevar <sam@hocevar.net>
    76#
    87#    This program is free software. It comes without any warranty, to
     
    109#    and/or modify it under the terms of the Do What The Fuck You Want
    1110#    To Public License, Version 2, as published by Sam Hocevar. See
    12 #    http://sam.zoy.org/wtfpl/COPYING for more details.
     11#    http://www.wtfpl.net/ for more details.
    1312#
    1413# The latest version of this script can be found at the following place:
    15 #   http://sam.zoy.org/autotools/
     14#    http://caca.zoy.org/wiki/build
    1615
    1716# Die if an error occurs
     
    3029# Check for needed features
    3130auxdir="`sed -ne 's/^[ \t]*A._CONFIG_AUX_DIR *([[ ]*\([^] )]*\).*/\1/p' $conffile`"
     31pkgconfig="`grep '^[ \t]*PKG_PROG_PKG_CONFIG' $conffile >/dev/null 2>&1 && echo yes || echo no`"
    3232libtool="`grep '^[ \t]*A._PROG_LIBTOOL' $conffile >/dev/null 2>&1 && echo yes || echo no`"
    3333header="`grep '^[ \t]*A._CONFIG_HEADER' $conffile >/dev/null 2>&1 && echo yes || echo no`"
     
    3737# Check for automake
    3838amvers="no"
    39 for v in 11 10 9 8 7 6 5; do
    40   if automake-1.${v} --version >/dev/null 2>&1; then
    41     amvers="-1.${v}"
    42     break
    43   elif automake1.${v} --version >/dev/null 2>&1; then
    44     amvers="1.${v}"
     39for v in "" "-1.15" "-1.14" "-1.13" "-1.12" "-1.11"; do
     40  if automake${v} --version > /dev/null 2>&1; then
     41    amvers=${v}
    4542    break
    4643  fi
    4744done
    4845
    49 if test "${amvers}" = "no" && automake --version > /dev/null 2>&1; then
    50   amvers="`automake --version | sed -e '1s/[^0-9]*//' -e q`"
    51   if expr "$amvers" "<" "1.5" > /dev/null 2>&1; then
    52     amvers="no"
    53   else
    54     amvers=""
    55   fi
    56 fi
    57 
    5846if test "$amvers" = "no"; then
    59   echo "$0: you need automake version 1.5 or later"
     47  echo "$0: automake not found"
    6048  exit 1
    6149fi
     
    7159
    7260if test "$acvers" = "no"; then
    73   echo "$0: you need autoconf"
     61  echo "$0: autoconf not found"
    7462  exit 1
    7563fi
     
    9078
    9179  if test "$libtoolize" = "no"; then
    92     echo "$0: you need libtool"
     80    echo "$0: libtool not found"
     81    exit 1
     82  fi
     83fi
     84
     85# Check for pkg-config
     86if test "$pkgconfig" = "yes"; then
     87  if ! pkg-config --version >/dev/null 2>&1; then
     88    echo "$0: pkg-config not found"
    9389    exit 1
    9490  fi
     
    10298    mkdir "$auxdir"
    10399  fi
    104   aclocalflags="${aclocalflags} -I $auxdir -I ."
     100  aclocalflags="-I $auxdir -I . ${aclocalflags}"
    105101fi
     102
     103# Honour M4PATH because sometimes M4 doesn't
     104save_IFS=$IFS
     105IFS=:
     106tmp="$M4PATH"
     107for x in $tmp; do
     108  if test -n "$x"; then
     109    aclocalflags="-I $x ${aclocalflags}"
     110  fi
     111done
     112IFS=$save_IFS
    106113
    107114# Explain what we are doing from now
  • zzuf/trunk/configure.ac

    r4839 r4886  
    44AC_CONFIG_AUX_DIR(.auto)
    55AM_CONFIG_HEADER(config.h)
    6 AM_INIT_AUTOMAKE([no-define tar-ustar])
     6AM_INIT_AUTOMAKE([subdir-objects no-define tar-ustar silent-rules])
    77
    88AC_PREREQ(2.50)
Note: See TracChangeset for help on using the changeset viewer.